#
# Conditional build:
%bcond_without	python2	# Python 2 binding
%bcond_without	python3	# Python 3 binding
#
Summary:	Braille translator and back-translator library
Summary(pl.UTF-8):	Biblioteka tłumacząca na i z alfabetu Braille'a
Name:		liblouis
Version:	3.2.0
Release:	1
License:	LGPL v2.1+ (library), GPL v3+ (tools)
Group:		Libraries
#Source0Download: http://liblouis.org/downloads/
Source0:	https://github.com/liblouis/liblouis/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	bff9275955610815803a86248c5e712f
Patch0:		%{name}-info.patch
URL:		http://liblouis.org/
BuildRequires:	help2man
BuildRequires:	pkgconfig
%{?with_python2:BuildRequires:	python-modules >= 1:2.6}
%{?with_python3:BuildRequires:	python3-modules >= 1:3.2}
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	texinfo >= 5
BuildRequires:	yaml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Liblouis is an open-source braille translator and back-translator. It
features support for computer and literary braille, supports
contracted and uncontracted translation for many, many languages

%description -l pl.UTF-8
Liblouis to mający otwarte źródła tłumacz na i z alfabetu Braille'a.
Ma obsługę komputerowego i literackiego Braille'a, obowiązujących
i nie obowiązujących tłumaczeń dla naprawdę wielu języków.

%package devel
Summary:	Header files for liblouis library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki liblouis
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for liblouis library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki liblouis.

%package static
Summary:	Static liblouis library
Summary(pl.UTF-8):	Statyczna biblioteka liblouis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblouis library.

%description static -l pl.UTF-8
Statyczna biblioteka liblouis.

%package -n python-louis
Summary:	Python ctypes binding for liblouis
Summary(pl.UTF-8):	Wiązania Pythona oparte na ctypes do biblioteki liblouis
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python-louis
Python ctypes binding for liblouis.

%description -n python-louis -l pl.UTF-8
Wiązania Pythona oparte na ctypes do biblioteki liblouis.

%package -n python3-louis
Summary:	Python 3 ctypes binding for liblouis
Summary(pl.UTF-8):	Wiązania Pythona 3 oparte na ctypes do biblioteki liblouis
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-louis
Python 3 ctypes binding for liblouis.

%description -n python3-louis -l pl.UTF-8
Wiązania Pythona 3 oparte na ctypes do biblioteki liblouis.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-ucs4

%{__make} -j1 \
	dlname="liblouis.so.12"

%if %{with python2}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py_build
cd ..
%endif

%if %{with python2}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py3_build
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python2}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py_install
cd ..
%py_postclean
%endif

%if %{with python3}
cd python
LD_LIBRARY_PATH=$(pwd)/../liblouis/.libs \
%py3_install
cd ..
%endif

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblouis.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/liblouis

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/lou_allround
%attr(755,root,root) %{_bindir}/lou_checkhyphens
%attr(755,root,root) %{_bindir}/lou_checktable
%attr(755,root,root) %{_bindir}/lou_checkyaml
%attr(755,root,root) %{_bindir}/lou_compare
%attr(755,root,root) %{_bindir}/lou_debug
%attr(755,root,root) %{_bindir}/lou_trace
%attr(755,root,root) %{_bindir}/lou_translate
%attr(755,root,root) %{_libdir}/liblouis.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblouis.so.14
%{_datadir}/liblouis
%{_mandir}/man1/lou_allround.1*
%{_mandir}/man1/lou_checkhyphens.1*
%{_mandir}/man1/lou_checktable.1*
%{_mandir}/man1/lou_checkyaml.1*
%{_mandir}/man1/lou_debug.1*
%{_mandir}/man1/lou_trace.1*
%{_mandir}/man1/lou_translate.1*

%files devel
%defattr(644,root,root,755)
%doc HACKING doc/liblouis.html
%attr(755,root,root) %{_libdir}/liblouis.so
%{_includedir}/liblouis
%{_pkgconfigdir}/liblouis.pc
%{_infodir}/liblouis.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/liblouis.a

%if %{with python2}
%files -n python-louis
%defattr(644,root,root,755)
%doc python/README
%dir %{py_sitescriptdir}/louis
%{py_sitescriptdir}/louis/__init__.py[co]
%{py_sitescriptdir}/louis-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-louis
%defattr(644,root,root,755)
%doc python/README
%dir %{py3_sitescriptdir}/louis
%{py3_sitescriptdir}/louis/__init__.py
%{py3_sitescriptdir}/louis/__pycache__
%{py3_sitescriptdir}/louis-%{version}-py*.egg-info
%endif
%changelog
* Tue Jul 18 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblouis.git;a=log;h=master

* Tue Jul 18 2017 Jakub Bogusz <qboosh@pld-linux.org> fe72bfa
- updated to 3.2.0 (note: new soname)

* Thu Apr 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 7cec3b6
- updated to 3.1.0
- enable ucs4 for compatibility with pythons in PLD

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f449f47
- python 3.6
- release 2 (by relup.sh)

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 75f7f66
- updated to 3.0.0 (note: new soname, API changes)
- library license is LGPL v2.1+ now

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 87dfef8
- updated to 2.6.5 (note: new soname)

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> b3995ec
- direct URLs

* Sat Mar 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 0aa58c3
- updated to 2.6.4 (note: new soname)
- adapted to current python packaging

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a757912
- release 4 (by relup.sh)

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> e53657c
- python3 rebuild
- release 3 (by relup.sh)

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> dfe296f
- x32 rebuild
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 61eb2e1
- new URLs, updated to 2.6.0

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c13c77c
- python 3.4
- release 2 (by relup.sh)

* Fri Oct 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ea0996
- added python3 module

* Fri Oct 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ab7468
- new

